Mercurial > emacs
view mkinstalldirs @ 60104:8116a5e9f2a1
(Display): Reorder menu.
(Faces): Cleanup.
(Font Lock): Cleanup. Mention Options menu. Delete obsolete text.
(Scrolling): For C-l, don't presume text terminal.
(Horizontal Scrolling): Simplify intro.
(Follow Mode): Clarify.
(Cursor Display): Moved before Display Custom.
(Display Custom): Explain no-redraw-on-reenter is for text terminals.
Doc default-tab-width. Doc line truncation more thoroughly.
author | Richard M. Stallman <rms@gnu.org> |
---|---|
date | Wed, 16 Feb 2005 09:59:32 +0000 |
parents | 746c40973d25 |
children | 730155197b96 eb7e8d483840 |
line wrap: on
line source
#! /bin/sh # mkinstalldirs --- make directory hierarchy # Author: Noah Friedman <friedman@prep.ai.mit.edu> # Created: 1993-05-16 # Public domain errstatus=0 for file do set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'` shift pathcomp= for d do pathcomp="$pathcomp$d" case "$pathcomp" in -* ) pathcomp=./$pathcomp ;; esac if test ! -d "$pathcomp"; then echo "mkdir $pathcomp" 1>&2 (mkdir "$pathcomp" && chmod a+rx "$pathcomp") || lasterr=$? if test ! -d "$pathcomp"; then errstatus=$lasterr fi fi pathcomp="$pathcomp/" done done exit $errstatus # mkinstalldirs ends here